summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMark Wielaard <mjw@redhat.com>2014-01-04 15:41:04 +0100
committerMark Wielaard <mjw@redhat.com>2014-01-04 15:41:04 +0100
commit1051a0c8ad8b69725384de20647a982b283701f0 (patch)
treedcb5055df6c24bc1368fe0a43c9da02162fe880c
parent4f1c96d8809a2ccbfd7d54bbca9a3a0c1e5f2796 (diff)
downloadelfutils-1051a0c8ad8b69725384de20647a982b283701f0.tar.gz
tests: backtrace-subr.sh skip check_native_core test if core ulimit fails.
Signed-off-by: Mark Wielaard <mjw@redhat.com>
-rw-r--r--tests/ChangeLog5
-rw-r--r--tests/backtrace-subr.sh3
2 files changed, 7 insertions, 1 deletions
diff --git a/tests/ChangeLog b/tests/ChangeLog
index 63692e3d..0c112cf2 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,5 +1,10 @@
2014-01-04 Mark Wielaard <mjw@redhat.com>
+ * backtrace-subr.sh (check_native_core): Skip, exit 77, the test
+ if we cannot adjust core ulimit.
+
+2014-01-04 Mark Wielaard <mjw@redhat.com>
+
* cleanup-13.c (force_unwind_stop): Removed.
(force_unwind): Just call abort. Don't setup _Unwind_Exception and
don't call _Unwind_ForcedUnwind.
diff --git a/tests/backtrace-subr.sh b/tests/backtrace-subr.sh
index 580a1cea..e7ece91c 100644
--- a/tests/backtrace-subr.sh
+++ b/tests/backtrace-subr.sh
@@ -109,7 +109,8 @@ check_native_core()
SAVED_VALGRIND_CMD="$VALGRIND_CMD"
unset VALGRIND_CMD
- core="core.`ulimit -c unlimited; set +ex; testrun ${abs_builddir}/$child --gencore; true`"
+ # Skip the test if we cannot adjust core ulimit.
+ core="core.`ulimit -c unlimited || exit 77; set +ex; testrun ${abs_builddir}/$child --gencore; true`"
if [ "x$SAVED_VALGRIND_CMD" != "x" ]; then
VALGRIND_CMD="$SAVED_VALGRIND_CMD"